diff -pruN 0.0.19940601-10/debian/changelog 0.0.19940601-11/debian/changelog
--- 0.0.19940601-10/debian/changelog	2020-12-04 11:30:48.000000000 +0000
+++ 0.0.19940601-11/debian/changelog	2024-03-23 15:10:53.000000000 +0000
@@ -1,3 +1,11 @@
+gpw (0.0.19940601-11) unstable; urgency=medium
+
+  * Introduced missing prototype before pw_randon_number() call in randnum patch.
+    (closes: #1066687)
+  * Policy bumped to 4.6.2, no changes needed.
+
+ -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 23 Mar 2024 15:10:53 +0000
+
 gpw (0.0.19940601-10) unstable; urgency=medium
 
   * Policy updated. Debhelper level set to 10.
diff -pruN 0.0.19940601-10/debian/compat 0.0.19940601-11/debian/compat
--- 0.0.19940601-10/debian/compat	2020-12-04 11:30:48.000000000 +0000
+++ 0.0.19940601-11/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-10
diff -pruN 0.0.19940601-10/debian/control 0.0.19940601-11/debian/control
--- 0.0.19940601-10/debian/control	2020-12-04 11:30:48.000000000 +0000
+++ 0.0.19940601-11/debian/control	2024-03-23 15:10:53.000000000 +0000
@@ -2,8 +2,8 @@ Source: gpw
 Section: utils
 Priority: optional
 Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>=10), wamerican
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (=13), wamerican
+Standards-Version: 4.6.2
 Homepage: http://www.multicians.org/thvv/tvvtools.html
 
 Package: gpw
diff -pruN 0.0.19940601-10/debian/patches/randnum 0.0.19940601-11/debian/patches/randnum
--- 0.0.19940601-10/debian/patches/randnum	2020-12-04 11:30:48.000000000 +0000
+++ 0.0.19940601-11/debian/patches/randnum	2024-03-23 15:08:49.000000000 +0000
@@ -1,7 +1,5 @@
-Index: gpw-0.0.19940601/gpw.c
-===================================================================
---- gpw-0.0.19940601.orig/gpw.c
-+++ gpw-0.0.19940601/gpw.c
+--- a/gpw.c
++++ b/gpw.c
 @@ -13,11 +13,6 @@
     and looking for real words in its output.. they are very rare, on the
     order of one in a thousand.
@@ -14,15 +12,17 @@ Index: gpw-0.0.19940601/gpw.c
     The best way to use this program is to generate multiple words.  Then
     pick one you like and transform it with punctuation, capitalization,
     and other changes to come up with a new password.
-@@ -35,6 +30,7 @@
+@@ -35,6 +30,9 @@
  /* #include <bsd/sys/time.h> */
  /* following for BSD */
  #include <sys/time.h>
 +#include <limits.h>
++
++long int pw_random_number(long int max_num);
  
  int main (int argc, char ** argv) {
  	int password_length;		/* how long should each password be */
-@@ -47,14 +43,11 @@ int main (int argc, char ** argv) {
+@@ -47,14 +45,11 @@
  	long sum;					/* running total of frequencies */
  	char password[100];			/* buffer to develop a password */
  	int nchar;					/* number of chars in password so far */
